<template>
  <div class="Card">
    <div v-for="(item, index) in poicefilelist" :key="index">
      <carditem :card-item-list="item"> </carditem>
    </div>

    <div class="empty" v-show="poicefilelist < 1">
      <img src="../../assets/image/search/file-empty.svg" alt="" />
      <span>哎呀 未找到您搜索的内容 </span>
      <span>建议换个关键词再试试</span>
      <div class="back">
      <van-button @click="backurl" type="info">返回</van-button>
      </div>

    </div>
  </div>
</template>

<script>
import Carditem from "./carditem.vue";
export default {
  name: "Card",
  components: {
    Carditem,
  },
  data() {
    return {};
  },
  created() {},
  methods: {
    backurl() {
      this.$router.back(-1);
    },
  },

  data() {
    return {};
  },
  props: {
    poicefilelist: {
      type: Array,
      default() {
        return [];
      },
    },
  },
};
</script>


<style scoped>
.back{
  width: 60%;
  margin: 0 auto;
}
.empty {
  display: grid;
  margin: 0 auto;
  text-align: center;
}
.empty img {
  margin: 0 auto;
  margin-bottom: 5vw;
  margin-top: 5vw;
}
.empty span {
  line-height: 10vw;
  height: 10vw;
  font-weight: bold;
  font-size: 5vw;
}
/deep/.van-button--normal{
  width: 100%;
}
</style>